
Cook: lsof 4.84
================================================================================
QA: checking package receipt...
Extracting source archive "lsof_4.84.tar.bz2"

Executing: compile_rules
CFLAGS   : -march=i486 -Os -pipe -fomit-frame-pointer
Testing C library type with cc ... done
The C library type is glibc, version "-DGLIBCV=225".

This configuration step (the Inventory script) takes inventory of
the lsof distribution.  The script runs for a minute or two while
it checks that all the subdirectories, information files, scripts,
header files and source files that should be present really are.

It's not absolutely necessary that you take inventory, but it's a
good idea to do it right after the lsof distribution has been
unpacked.  Once the inventory has been taken, this script creates
the file ./.ck00MAN as a signal that the inventory step has been
done.

You can call the Inventory script directly at any time to take
inventory.  You can inhibit the inventory step permanently by
creating the file ./.neverInv, and you can tell the Configure script
to skip the inventory and customization steps with the -n option.

Do you want to take inventory (y|n) [y]? 
Conducting an inventory of the lsof distribution; this will take a while.

Examining /home/slitaz/wok/lsof/source/lsof-4.84/lsof_4.84_src: OK
Examining .: OK
Examining ./dialects: OK
Examining ./dialects/aix: OK
Examining ./dialects/aix/aix5: OK
Examining ./dialects/aix/aix5/j2: OK
Examining ./dialects/darwin: OK
Examining ./dialects/darwin/kmem: OK
Examining ./dialects/darwin/libproc: OK
Examining ./dialects/du: OK
Examining ./dialects/freebsd: OK
Examining ./dialects/freebsd/include: OK
Examining ./dialects/freebsd/include/procfs: OK
Examining ./dialects/hpux: OK
Examining ./dialects/hpux/kmem: OK
Examining ./dialects/hpux/kmem/hpux11: OK
Examining ./dialects/hpux/pstat: OK
Examining ./dialects/linux: OK
Examining ./dialects/n+obsd: OK
Examining ./dialects/n+os: OK
Examining ./dialects/osr: OK
Examining ./dialects/osr/include: OK
Examining ./dialects/osr/include/sys: OK
Examining ./dialects/sun: OK
Examining ./dialects/uw: OK
Examining ./dialects/uw/uw7: OK
Examining ./dialects/uw/uw7/fs: OK
Examining ./dialects/uw/uw7/fs/nsc_cfs: OK
Examining ./dialects/uw/uw7/fs/procfs: OK
Examining ./dialects/uw/uw7/sys: OK
Examining ./dialects/uw/uw7/sys/fs: OK
Examining ./dialects/uw/uw7/vm: OK
Examining ./lib: OK
Examining ./scripts: OK
Examining ./tests: OK

This lsof distribution seems to be complete.

rm -f ddev.c dfile.c dlsof.h dmnt.c dnode*.c dproc.c dproto.h dsock.c dstore.c dzfs.h kernelbase.h machine.h machine.h.old new_machine.h __lseek.s Makefile Makefile.zfs ./tests/config.cflags
rm -f ./tests/config.cc ./tests/config.xobj ./tests/config.ldflags
Testing C library for localtime() and strftime(), using cc ... present
ln -s dialects/linux/dfile.c dfile.c
ln -s dialects/linux/dlsof.h dlsof.h
ln -s dialects/linux/dmnt.c dmnt.c
ln -s dialects/linux/dnode.c dnode.c
ln -s dialects/linux/dproc.c dproc.c
ln -s dialects/linux/dproto.h dproto.h
ln -s dialects/linux/dsock.c dsock.c
ln -s dialects/linux/dstore.c dstore.c
ln -s dialects/linux/machine.h machine.h
Makefile and lib/Makefile created.
./tests/config.cc created
./tests/config.cflags created
./tests/config.ldflags created
./tests/config.xobj created

You may now customize the machine.h header file for this UNIX
dialect.  The customizations will take effect when you compile
lsof.  You may also choose to skip customization and proceed to
the compilation of lsof.

If you don't know if you need to customize or want to know more
about what you can customize, consult the 00DCACHE, 00FAQ, 00PORTING,
and 00README files of the lsof distribution.  You might also find
it helpful to examine the machine.h header file for the dialect
you're customizing.

You don't need to use this procedure to customize lsof; you can
edit the machine.h header file directly.  If you later decide you
want to use this procedure to customize machine.h, execute the
./Customize script.

Do you want to customize (y|n) [y]? 
Customizing ...

=====================================================================

When HASSECURITY is enabled, only the root user may use lsof to
examine all open files; other users may examine only the files
belonging to the real user ID of their lsof process.  If
HASNOSOCKSECURITY is also defined, anyone may list anyone else's
open socket files, provided their listing is selected with the "-i"
option.

When HASSECURITY is disabled, anyone may use lsof to examine all
open files.

HASSECURITY is disabled.

Enable HASSECURITY (y|n) [n]? 
HASSECURITY will not be changed.

=====================================================================

When WARNINGSTATE is enabled, lsof will will issue whatever warning
messages it finds necessary.  When WARNINGSTATE is disabled, lsof
will issue no warning messages.  For individual uses of lsof, -w
disables warning state and +w enables it.

WARNINGSTATE is enabled.

Disable WARNINGSTATE? (y|n) [n]? 
WARNINGSTATE will not be changed.

=====================================================================

When HASKERNIDCK is enabled, lsof compares the identity of the
kernel where it was built to the identity of the kernel where it
is running.  This check can detect an lsof executable inappropriate
for the system on which it is being run.

The kernel identity check can take considerable time on some UNIX
dialects -- e.g., AIX -- so there may be occasions when it is
desirable to disable it, in spite of the increased risk of using
an inappropriate lsof executable.

HASKERNIDCK is disabled.

Enable HASKERNIDCK (y|n) [n]? 
HASKERNIDCK will not be changed.

=====================================================================

A new machine.h file has been created in "new_machine.h".

Do you want to rename machine.h to machine.h.old and replace it with
new_machine.h (y|n) [y]? 
You may now run the make command -- e.g.,

        $ make

(cd lib; make DEBUG="-O" CFGF="-DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"")
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o dfile.o dfile.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o dmnt.o dmnt.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o dnode.o dnode.c
make[1]: Entering directory '/home/slitaz/wok/lsof/source/lsof-4.84/lsof_4.84_src/lib'
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o ckkv.o ckkv.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o cvfs.o cvfs.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o dvch.o dvch.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o fino.o fino.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o dproc.o dproc.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o dsock.o dsock.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o dstore.o dstore.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o arg.o arg.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o main.o main.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o misc.o misc.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o node.o node.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o print.o print.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o proc.o proc.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o isfn.o isfn.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o lkud.o lkud.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o pdvn.o pdvn.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o prfp.o prfp.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o ptti.o ptti.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o rdev.o rdev.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o regex.o regex.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o rmnt.o rmnt.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o rnam.o rnam.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o store.o store.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o rnch.o rnch.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o rnmh.o rnmh.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR="2.6.37-slitaz"  -O   -c -o snpf.o snpf.c
ar cr liblsof.a ckkv.o cvfs.o dvch.o fino.o isfn.o lkud.o pdvn.o prfp.o ptti.o rdev.o regex.o rmnt.o rnam.o rnch.o rnmh.o snpf.o
ranlib liblsof.a
make[1]: Leaving directory '/home/slitaz/wok/lsof/source/lsof-4.84/lsof_4.84_src/lib'
Constructing version.h
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o util.o util.c
cc  -DLINUXV=26037 -DGLIBCV=225 -DHASIPv6 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAS_STRFTIME -DLSOF_VSTR=\"2.6.37-slitaz\"    -O   -c -o usage.o usage.c
cc -o lsof dfile.o dmnt.o dnode.o dproc.o dsock.o dstore.o arg.o main.o misc.o node.o print.o proc.o store.o usage.o util.o -L./lib -llsof 
================================================================================

================================================================================


Pack: lsof 4.84
================================================================================
Executing: genpkg_rules
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.16s. Size: 162452 B -> 145908 B. Save: 16 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
Restoring original package tree...                                     Done
QA: checking for empty package...                                      Done
================================================================================
Package "lsof-4.84.tazpkg" created

The release checksum has changed.

Summary for: lsof 4.84
================================================================================
Src file    : lsof_4.84.tar.bz2
Src size    : 744.0K
Source dir  : 9.2M
Produced    : 4.0K
Cook time   : 13s
Cook date   : 2017-07-19 13:17
Host arch   : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :  172.0K :      54.6K :     1 : lsof-4.84.tazpkg
================================================================================
